Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value.basic
Class UriValueFactory

    java.lang.Object
      org.modeshape.jcr.value.basic.AbstractValueFactory<URI>
          org.modeshape.jcr.value.basic.UriValueFactory

All Implemented Interfaces:
  ValueFactory<URI>

    @Immutable
    public class UriValueFactory

extends AbstractValueFactory<URI>

The standard `ValueFactory` for `PropertyType.URI` values.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory
`AbstractValueFactory.ConvertingIterator<ValueType>`

Field Summary

Fields inherited from interface org.modeshape.jcr.value.ValueFactory
`DEFAULT_DECODER, DEFAULT_ENCODER`

Constructor Summary
`UriValueFactory(NamespaceRegistry namespaceRegistry, TextDecoder decoder, ValueFactory<String> stringValueFactory)`

Method Summary
`URI` | `create(BigDecimal value)` Create a value from a decimal.
`URI` | `create(BinaryValue value)` Create a value from the binary content given by the supplied stream.
`URI` | `create(boolean value)` Create a boolean from a string.
`URI` | `create(byte[] value)` Create a value from the binary content given by the supplied array.
`URI` | `create(Calendar value)` Create a value from a Calendar instance.
`URI` | `create(Date value)` Create a value from a date.
`URI` | `create(DateTime value)` Create a value from a date-time instant.
`URI` | `create(double value)` Create a value from a double.
`URI` | `create(float value)` Create a value from a float.
`URI` | `create(InputStream stream)` Create a value from the binary content given by the supplied stream.
`URI` | `create(int value)` Create a value from an integer.
`URI` | `create(long value)` Create a long from a string.
`URI` | `create(Name value)` Create a value from a name.
`URI` | `create(NodeKey value)` Create a value from a `NodeKey`.
`URI` | `create(Path.Segment value)` Create a value from a path segment.
`URI` | `create(Path value)` Create a value from a path.
`URI` | `create(Reference value)` Create a value from a reference.
`URI` | `create(String value)` Create a value from a string, using no decoding.
`URI` | `create(String value, TextDecoder decoder)` Create a value from a string, using the supplied decoder.
`URI` | `create(URI value)` Create a value from a URI.
`URI` | `create(UUID value)` Create a value from a UUID.
`protected URI[]` | `createEmptyArray(int length)`

Methods inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType, getStringValueFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UriValueFactory

    public UriValueFactory(NamespaceRegistry namespaceRegistry,
                           TextDecoder decoder,
                           ValueFactory<String> stringValueFactory)

Method Detail

### create

    public URI create(String value)

  Description copied from interface: `ValueFactory`
  Create a value from a string, using no decoding.

  Parameters:
    `value` - the string from which the value is to be created
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String, TextDecoder)`

### create

    public URI create(String value,
                      TextDecoder decoder)

  Description copied from interface: `ValueFactory`
  Create a value from a string, using the supplied decoder.

  Parameters:
    `value` - the string from which the value is to be created
    `decoder` - the decoder that should be used; if null, the `default decoder` is used
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String)`

### create

    public URI create(int value)

  Description copied from interface: `ValueFactory`
  Create a value from an integer.

  Parameters:
    `value` - the integer from which the value is to be created
  Returns:
    the value; never null

### create

    public URI create(long value)

  Description copied from interface: `ValueFactory`
  Create a long from a string.

  Parameters:
    `value` - the string from which the long is to be created
  Returns:
    the value; never null

### create

    public URI create(boolean value)

  Description copied from interface: `ValueFactory`
  Create a boolean from a string.

  Parameters:
    `value` - the boolean from which the value is to be created
  Returns:
    the value; never null

### create

    public URI create(float value)

  Description copied from interface: `ValueFactory`
  Create a value from a float.

  Parameters:
    `value` - the float from which the value is to be created
  Returns:
    the value; never null

### create

    public URI create(double value)

  Description copied from interface: `ValueFactory`
  Create a value from a double.

  Parameters:
    `value` - the double from which the value is to be created
  Returns:
    the value; never null

### create

    public URI create(BigDecimal value)

  Description copied from interface: `ValueFactory`
  Create a value from a decimal.

  Parameters:
    `value` - the decimal from which the value is to be created
  Returns:
    the value, or null if the supplied decimal is null

### create

    public URI create(Calendar value)

  Description copied from interface: `ValueFactory`
  Create a value from a Calendar instance.

  Parameters:
    `value` - the Calendar instance from which the value is to be created
  Returns:
    the value, or null if the supplied Calendar is null

### create

    public URI create(Date value)

  Description copied from interface: `ValueFactory`
  Create a value from a date.

  Parameters:
    `value` - the date from which the value is to be created
  Returns:
    the value, or null if the supplied date is null

### create

    public URI create(DateTime value)
               throws ValueFormatException

  Description copied from interface: `ValueFactory`
  Create a value from a date-time instant.

  Parameters:
    `value` - the date-time instant from which the value is to be created
  Returns:
    the value, or null if the supplied date is null
  Throws:
    `ValueFormatException` - if the conversion from a Date could not be performed

### create

    public URI create(Name value)

  Description copied from interface: `ValueFactory`
  Create a value from a name.

  Parameters:
    `value` - the name from which the value is to be created
  Returns:
    the value, or null if the supplied name is null

### create

    public URI create(Path value)

  Description copied from interface: `ValueFactory`
  Create a value from a path.

  Parameters:
    `value` - the path from which the value is to be created
  Returns:
    the value, or null if the supplied path is null

### create

    public URI create(Path.Segment value)

  Description copied from interface: `ValueFactory`
  Create a value from a path segment.

  Parameters:
    `value` - the path segment from which the value is to be created
  Returns:
    the value, or null if the supplied path segment is null

### create

    public URI create(Reference value)

  Description copied from interface: `ValueFactory`
  Create a value from a reference.

  Parameters:
    `value` - the reference from which the value is to be created
  Returns:
    the value, or null if the supplied reference is null

### create

    public URI create(UUID value)

  Description copied from interface: `ValueFactory`
  Create a value from a UUID.

  Parameters:
    `value` - the UUID from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null

### create

    public URI create(NodeKey value)
               throws ValueFormatException

  Description copied from interface: `ValueFactory`
  Create a value from a `NodeKey`.

  Parameters:
    `value` - the node key from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null
  Throws:
    `ValueFormatException` - if the conversion from a NodeKey could not be performed

### create

    public URI create(URI value)

  Description copied from interface: `ValueFactory`
  Create a value from a URI.

  Parameters:
    `value` - the URI from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null

### create

    public URI create(byte[] value)

  Description copied from interface: `ValueFactory`
  Create a value from the binary content given by the supplied array.

  Parameters:
    `value` - the content to be used to create the value
  Returns:
    the value, or null if the supplied stream is null

### create

    public URI create(BinaryValue value)
               throws ValueFormatException,
                      IoException

  Description copied from interface: `ValueFactory`
  Create a value from the binary content given by the supplied stream.

  Parameters:
    `value` - the binary object to be used to create the value
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `ValueFormatException` - if the conversion from the binary object could not be performed
    `IoException` - If an unexpected problem occurs while accessing the supplied binary value (such as an `IOException`).

### create

    public URI create(InputStream stream)
               throws IoException

  Description copied from interface: `ValueFactory`
  Create a value from the binary content given by the supplied stream.

  Parameters:
    `stream` - the stream containing the content to be used to create the value
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `IoException` - If an unexpected problem occurs while accessing the supplied stream (such as an `IOException`).

### createEmptyArray

    protected URI[] createEmptyArray(int length)

  Specified by:
    `createEmptyArray` in class `AbstractValueFactory<URI>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.